org.jfree.data

## Interface KeyedValue

All Superinterfaces:
  Value

All Known Subinterfaces:
  KeyedValueDataset

All Known Implementing Classes:
  DefaultKeyedValue, DefaultKeyedValueDataset

    public interface KeyedValue
    extends Value

A (key, value) pair.

See Also:
  `DefaultKeyedValue`

### Method Summary

Methods
`java.lang.Comparable` `getKey()` Returns the key associated with the value.

### Methods inherited from interface org.jfree.data.Value

`getValue`

### Method Detail

#### getKey

    java.lang.Comparable getKey()

Returns the key associated with the value. The key returned by this method should be immutable.

Returns:
  The key (never `null`).